function conversion ( chaine = '' ) {
	/* Cette fonction va nous permette de convertir
	une chaîne de caractère du type "1h 1 min 2s"
	en un nombre de secondes comparable à ce que nous fournit AE */

	// on récupère une liste contenant soit rien soit le nombre d'heure(s)
	// la partie qui ressemble à une insulte
	// en l'occurence /\d*(?= *h)/
	// est une expression régulière
	var h = chaine.match(/\d*(?= *h)/);
	// si la liste retournée n'est pas un null, une valeur a été trouvée
	// la liste contient un élément, on le récupère
	// et on la convertit du type string vers number
	// sinon la liste est un null (pas de valeur trouvée,
	// alors on utilise le nombre 0 à la place
	h = h !== null ? parseInt( h[0] ) : 0;

	// idem pour les minutes
	var m = chaine.match(/\d*(?= *min)/);
	m = m !== null ? parseInt( m[0] ) : 0;

	// idem pour les secondes
	var s = chaine.match(/\d*(?= *s)/);
	s = s !== null ? parseInt( s[0] ) : 0;

	// on retourne
	// le nombre d'heure * nombre de secondes dans une heure
	// plus le nombre de minutes * nombre de secondes dans une minutes
	// plus le nombre de secondes
	return h * 3600 + m * 60 + s;
}
